Index: mythvideo/i18n/mythvideo_fi.ts
===================================================================
--- mythvideo/i18n/mythvideo_fi.ts	(revision 19002)
+++ mythvideo/i18n/mythvideo_fi.ts	(working copy)
@@ -820,38 +856,86 @@
     </message>
     <message>
         <source>%1 failed</source>
-        <translation>%1 epäonnistui</translation>
+        <translation type="obsolete">%1 epäonnistui</translation>
     </message>
     <message>
         <source>%1
 
 Check VideoManager Settings</source>
-        <translation>%1
+        <translation type="obsolete">%1
 
 Varmista Videoasetukset</translation>
     </message>
     <message>
         <source>Fetching poster for %1 (%2)</source>
-        <translation>Haetaan kuvakkeita %1:lle (%2)</translation>
+        <translation type="obsolete">Haetaan kuvakkeita %1:lle (%2)</translation>
     </message>
     <message>
         <source>A poster exists for this item but could not be retrieved within the timeout period.
 </source>
-        <translation>Kuvake löytyi tälle nimikkeelle, mutta sitä ei voitu hakea aikarajoituksen puitteissa.
+        <translation type="obsolete">Kuvake löytyi tälle nimikkeelle, mutta sitä ei voitu hakea aikarajoituksen puitteissa.
 </translation>
     </message>
     <message>
         <source>OK</source>
-        <translation>OK</translation>
+        <translation type="obsolete">OK</translation>
     </message>
     <message>
         <source>Theme Error: selected/playwait has an invalid area.</source>
-        <translation>Teemavirhe: valittu/soitto saa virheellisen tiedon.</translation>
+        <translation type="obsolete">Teemavirhe: valittu/soitto saa virheellisen tiedon.</translation>
     </message>
     <message>
         <source>None defined</source>
         <translation>Ei määritelty</translation>
     </message>
+    <message>
+        <source>Manager</source>
+        <translation>Manageri</translation>
+    </message>
+    <message>
+        <source>Loading videos ...</source>
+        <translation>LAtaa videoita...</translation>
+    </message>
+    <message>
+        <source>You have no VCD Player command defined.</source>
+        <translation>Sinulla ei ole VCD -soittimen komentoa määriteltynä.</translation>
+    </message>
+    <message>
+        <source>Aggressive Parental Controls Warning: invalid password. An attempt to enter a MythVideo settings screen was prevented.</source>
+        <translation>Aggressiivisen ikälukon varoitus: Väärä salasana. Yritys päästä MythVideon asetuksiin estetty. </translation>
+    </message>
+    <message>
+        <source>%1 failed
+
+%2
+
+Check VideoManager Settings</source>
+        <translation>%1 epäonnistui
+
+%2
+
+Tarkista Videomanagerin asetukset</translation>
+    </message>
+    <message>
+        <source>Video Home</source>
+        <translation>Video Home</translation>
+    </message>
+    <message>
+        <source>Warning: container &apos;%1&apos; is missing child &apos;%2&apos;</source>
+        <translation>Varoitus: pakkaus &apos;%1&apos;:stä puuttuu olio &apos;%2%&apos;</translation>
+    </message>
+    <message>
+        <source>Warning: no valid container to search for child &apos;%1&apos;</source>
+        <translation>Varoitus: ei kelpaavaa pakkausta, josta hakea olio &apos;%1&apos;</translation>
+    </message>
+    <message>
+        <source>Error: container &apos;%1&apos; is missing a child element named &apos;%2&apos;</source>
+        <translation>Virhe: pakkaus &apos;%1&apos;:stä puuttuu olioelementti nimeltä &apos;%2&apos;</translation>
+    </message>
+    <message>
+        <source>Error: an invalid container was passed while searching for child element &apos;%1&apos;</source>
+        <translation>Virhe: virheellinen säiliö ohitettiin etsittäessä olioelementtiä &apos;%1&apos;</translation>
+    </message>
 </context>
 <context>
     <name>ThemeUI</name>
@@ -1036,10 +1120,6 @@
         <translation>VALITSE: Muokkaa</translation>
     </message>
     <message>
-        <source></source>
-        <translation></translation>
-    </message>
-    <message>
         <source>Parental</source>
         <translation>Luokitus</translation>
     </message>
@@ -1163,11 +1243,11 @@
     <name>VideoBrowser</name>
     <message>
         <source>%1 of %2</source>
-        <translation>%1 %2:sta</translation>
+        <translation type="obsolete">%1 %2:sta</translation>
     </message>
     <message>
         <source>No Videos</source>
-        <translation>Ei Videoita</translation>
+        <translation type="obsolete">Ei Videoita</translation>
     </message>
     <message>
         <source>No rating available.</source>
@@ -1179,23 +1259,23 @@
     </message>
     <message>
         <source>Watch This Video</source>
-        <translation>Toista Tämä Video</translation>
+        <translation type="obsolete">Toista Tämä Video</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Näytä Koko Kuvaus</translation>
+        <translation type="obsolete">Näytä Koko Kuvaus</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Suodata Näkymä</translation>
+        <translation type="obsolete">Suodata Näkymä</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Peruuta</translation>
+        <translation type="obsolete">Peruuta</translation>
     </message>
     <message>
         <source>View Cast</source>
-        <translation>Näytä Krediitit</translation>
+        <translation type="obsolete">Näytä Krediitit</translation>
     </message>
 </context>
 <context>
@@ -1226,8 +1306,130 @@
     </message>
     <message>
         <source>OK</source>
-        <translation>OK</translation>
+        <translation type="obsolete">OK</translation>
     </message>
+    <message>
+        <source>No Videos Available</source>
+        <translation>Ei käytettävissä olevia videoita</translation>
+    </message>
+    <message>
+        <source>%1 of %2</source>
+        <translation>%1 %2:sta</translation>
+    </message>
+    <message>
+        <source>Watch This Video</source>
+        <translation>Katso tämä video</translation>
+    </message>
+    <message>
+        <source>Video Info</source>
+        <translation>Tietoa videosta</translation>
+    </message>
+    <message>
+        <source>Manage Video</source>
+        <translation>Hallinoi videota</translation>
+    </message>
+    <message>
+        <source>Scan For Changes</source>
+        <translation>Etsi muutoksia</translation>
+    </message>
+    <message>
+        <source>Change View</source>
+        <translation>Vaihda näkymää</translation>
+    </message>
+    <message>
+        <source>Filter Display</source>
+        <translation>Suodata näkymää</translation>
+    </message>
+    <message>
+        <source>Cancel</source>
+        <translation>Peruuta</translation>
+    </message>
+    <message>
+        <source>Switch to Manage View</source>
+        <translation>Vaihda Hallinnointi -näkymään</translation>
+    </message>
+    <message>
+        <source>Disable File Browse Mode</source>
+        <translation>Estä Tiedostojen selaus -tila</translation>
+    </message>
+    <message>
+        <source>Enable File Browse Mode</source>
+        <translation>Mahdollista Tiedostojen selaus -tila</translation>
+    </message>
+    <message>
+        <source>Disable Flat View</source>
+        <translation>Estä Litteä -näkymä</translation>
+    </message>
+    <message>
+        <source>Enable Flat View</source>
+        <translation>Mahdollista Litteä -näkymä</translation>
+    </message>
+    <message>
+        <source>View Full Plot</source>
+        <translation>Näytä koko juoni</translation>
+    </message>
+    <message>
+        <source>View Cast</source>
+        <translation>Näytä roolijako</translation>
+    </message>
+    <message>
+        <source>Edit Metadata</source>
+        <translation>Muokkaa metatiedot</translation>
+    </message>
+    <message>
+        <source>Download Metadata</source>
+        <translation>Lataa metatiedot</translation>
+    </message>
+    <message>
+        <source>Manually Enter Video #</source>
+        <translation>Mene manuaalisesti videon # sisälle</translation>
+    </message>
+    <message>
+        <source>Manually Enter Video Title</source>
+        <translation>Mene manuaalisesti videonimikkeen sisälle</translation>
+    </message>
+    <message>
+        <source>Reset Metadata</source>
+        <translation>Tyhjää metatiedot</translation>
+    </message>
+    <message>
+        <source>Toggle Browseable</source>
+        <translation>Vaihda selaustilaan</translation>
+    </message>
+    <message>
+        <source>Remove Video</source>
+        <translation>Poista video</translation>
+    </message>
+    <message>
+        <source>Enter Video Unique ID:</source>
+        <translation>Syötä videon uniikki tunnistuskoodi:</translation>
+    </message>
+    <message>
+        <source>Enter Video Title:</source>
+        <translation>Syötä videon nimi:</translation>
+    </message>
+    <message>
+        <source>Delete this file?</source>
+        <translation>Poista tämä tiedosto?</translation>
+    </message>
+    <message>
+        <source>Failed to delete file</source>
+        <translation>Poistaminen epäonnistui</translation>
+    </message>
+    <message>
+        <source>Poster download finished: %1 %2</source>
+        <translation>Julisteen lataus valmis: %1 %2</translation>
+    </message>
+    <message>
+        <source>A poster exists for this item but could not be retrieved within the timeout period.
+</source>
+        <translation>Juliste löytyi tälle nimikkeelle, mutta sitä ei voitu hakea aikarajoituksen puitteissa.
+</translation>
+    </message>
+    <message>
+        <source>No matches were found.</source>
+        <translation>Vastaavuuksia ei löytynyt.</translation>
+    </message>
 </context>
 <context>
     <name>VideoFilterDialog</name>
@@ -1264,27 +1466,27 @@
     <name>VideoGallery</name>
     <message>
         <source>Filter Display</source>
-        <translation>Suodata Näkymä</translation>
+        <translation type="obsolete">Suodata Näkymä</translation>
     </message>
     <message>
         <source>Watch This Video</source>
-        <translation>Toista Tämä Video</translation>
+        <translation type="obsolete">Toista Tämä Video</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Näytä Koko Kuvaus</translation>
+        <translation type="obsolete">Näytä Koko Kuvaus</translation>
     </message>
     <message>
         <source>View Details</source>
-        <translation>Näytä Yksityiskohdat</translation>
+        <translation type="obsolete">Näytä Yksityiskohdat</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Peruuta</translation>
+        <translation type="obsolete">Peruuta</translation>
     </message>
     <message>
         <source>View Cast</source>
-        <translation>Näytä Krediitit</translation>
+        <translation type="obsolete">Näytä Krediitit</translation>
     </message>
 </context>
 <context>
@@ -1363,6 +1565,21 @@
     </message>
 </context>
 <context>
+    <name>VideoScannerThread</name>
+    <message>
+        <source>Searching for video files</source>
+        <translation>Haetaan videotiedostoja</translation>
+    </message>
+    <message>
+        <source>Updating video database</source>
+        <translation>Päivitetään videotietokantaa</translation>
+    </message>
+    <message>
+        <source>Verifying video files</source>
+        <translation>Tarkistetaan videotiedostoja</translation>
+    </message>
+</context>
+<context>
     <name>VideoSelected</name>
     <message>
         <source>No rating available.</source>
@@ -1381,31 +1598,31 @@
     </message>
     <message>
         <source>Select action</source>
-        <translation>Valitse toiminto</translation>
+        <translation type="obsolete">Valitse toiminto</translation>
     </message>
     <message>
         <source>Watch This Video</source>
-        <translation>Toista Tämä Video</translation>
+        <translation type="obsolete">Toista Tämä Video</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Näytä Koko Kuvaus</translation>
+        <translation type="obsolete">Näytä Koko Kuvaus</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Suodata Näkymä</translation>
+        <translation type="obsolete">Suodata Näkymä</translation>
     </message>
     <message>
         <source>Switch to Browse View</source>
-        <translation>Vaihda Selaustilaan</translation>
+        <translation type="obsolete">Vaihda Selaustilaan</translation>
     </message>
     <message>
         <source>Switch to Gallery View</source>
-        <translation>Vaihda Gallerianäkymään</translation>
+        <translation type="obsolete">Vaihda Gallerianäkymään</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Peruuta</translation>
+        <translation type="obsolete">Peruuta</translation>
     </message>
     <message>
         <source>Ok</source>
@@ -1413,58 +1630,58 @@
     </message>
     <message>
         <source>View Cast</source>
-        <translation>Näytä Krediitit</translation>
+        <translation type="obsolete">Näytä Krediitit</translation>
     </message>
 </context>
 <context>
     <name>mythvideo_videomanager::VideoManagerImp</name>
     <message>
         <source>Select action:</source>
-        <translation>Valitse toiminto:</translation>
+        <translation type="obsolete">Valitse toiminto:</translation>
     </message>
     <message>
         <source>Edit Metadata</source>
-        <translation>Muokkaa Yksityiskohtia</translation>
+        <translation type="obsolete">Muokkaa Yksityiskohtia</translation>
     </message>
     <message>
         <source>Search</source>
-        <translation>Haku</translation>
+        <translation type="obsolete">Haku</translation>
     </message>
     <message>
         <source>Manually Enter Video #</source>
-        <translation>Videonumeron Manuaalinen Syöttö</translation>
+        <translation type="obsolete">Videonumeron Manuaalinen Syöttö</translation>
     </message>
     <message>
         <source>Manually Enter Video Title</source>
-        <translation>Videonimikkeen Manuaalinen syöttö</translation>
+        <translation type="obsolete">Videonimikkeen Manuaalinen syöttö</translation>
     </message>
     <message>
         <source>Reset Metadata</source>
-        <translation>Tyhjää Yksityiskohdat</translation>
+        <translation type="obsolete">Tyhjää Yksityiskohdat</translation>
     </message>
     <message>
         <source>Toggle Browseable</source>
-        <translation>Vaihda Selaustila</translation>
+        <translation type="obsolete">Vaihda Selaustila</translation>
     </message>
     <message>
         <source>Remove Video</source>
-        <translation>Poista Video</translation>
+        <translation type="obsolete">Poista Video</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Suodata Näkymä</translation>
+        <translation type="obsolete">Suodata Näkymä</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Peruuta</translation>
+        <translation type="obsolete">Peruuta</translation>
     </message>
     <message>
         <source>Delete this file?</source>
-        <translation>Poista tämä tiedosto?</translation>
+        <translation type="obsolete">Poista tämä tiedosto?</translation>
     </message>
     <message>
         <source>delete failed</source>
-        <translation>virhe poistossa</translation>
+        <translation type="obsolete">virhe poistossa</translation>
     </message>
 </context>
 </TS>
